# Features in Fedora/Free Electronic Lab
#   Supported targets: F-15, F-16 and rawhide

# FIXME: flex-static is not provided on EL-5, EL-6

#
## To download development trunk
#
# svn export -r 6006 http://svn.openmoko.org/trunk/eda/fped fped-0
# tar cjf ~/rpmbuild/SOURCES/fped-0.tar.bz2 fped-0

Name:           fped
Version:        0
Release:        0.20.r6006%{?dist}
Summary:        A footprint editor used by openmoko developers

Group:          Applications/Engineering
License:        GPLv2
URL:            http://openmoko.org
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gtk2-devel
BuildRequires:  bison
BuildRequires:  flex
%if 0%{?fedora}
BuildRequires:  flex-static
%endif
BuildRequires:  transfig
BuildRequires:  netpbm-progs
BuildRequires:  ImageMagick


%description
fped is an editor that allows the interactive creation of footprints of
electronic components. Footprint definitions are stored in a text format
that resembles a programming language.

The language is constrained such that anything that can be expressed in
the textual definition also has a straightforward equivalent operation
that can be performed through the GUI.

%prep
%setup -q

# Tuning makefile for fedora packaging guidelines
%{__sed} -i \
  -e "s|/usr/local|%{_prefix}|g" \
  -e "s|install -m|install -pm|" \
  -e "s|CFLAGS = |CFLAGS = %{optflags} |g" Makefile

%build
# Make verbose
export V=1
make dep
make manual
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}

%check
make test


%files
%doc README TODO gui.html manual/ COPYING.GPLv2
%doc examples
%{_bindir}/%{name}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.r6006
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.7.r6006
- rebuild for EL repositories

* Tue Dec 06 2011 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.6.r6006
- new upstream snapshot

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0-0.5.r5760
- Rebuild for new libpng

* Tue Jun 28 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0-0.4.r5760
- Add BR: flex-static (Fix FTBFS BZ#715897).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.r5760
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 23 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.2.r5760
- new upstream snapshot

* Wed Sep 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.1.r5746
- multiple fixes with respect to the x and y coordinates

* Wed Sep 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-0.1.r5664
- changed release tag to 0.1 and added instructions to download the sources.

* Tue Sep 29 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 0-1.r5664
- Initial package for fedora.
